import React, { useState } from "react";
import "@storybook/addon-console";

import { storiesOf } from "@storybook/react";
import Requirements from "../components/Requirement/Requirement";
const stories = storiesOf("App test", module);

stories.add("App", () => {
  const [value, setValue] = useState("");
  const [isValid, setValid] = useState(false);
  function onTextChange(e) {
    setValue(e.target.value);
    validateNumber(e.target.value);
  }
  function validateNumber(number) {
    if (number.length !== 10) {
      setValid(false);
    } else {
      setValid(true);
    }
  }
  return (
    <>
      <p style={{ fontWeight: "bold", color: `${isValid ? "green" : "red"}` }}>
        Your phone number should contain 10 digits
      </p>
      <Requirements value={value} name={value} handleChange={onTextChange} />
    </>
  );
});
